SFML - Simple and Fast Multimedia Library

SFML 3.1.0
Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
sf::Sftp::SessionInfo Struct Reference

Structure containing information about an active SFTP session. More...

`#include <SFML/Network/Sftp.hpp>`

## Classes
struct | HostKey
| Host key used to identify a host. More...

## Public Attributes
HostKey | hostKey
| Host key.
std::string | keyExchangeAlgorithm
| Key exchange algorithm used in the session (RFC 4253).
std::string | hostKeyAlgorithm
| Host key algorithm used in the session (RFC 4253).
std::string | clientToServerEncryptionAlgorithm
| Client to server encryption algorithm used in the session (RFC 4253).
std::string | serverToClientEncryptionAlgorithm
| Server to client encryption algorithm used in the session (RFC 4253).
std::string | clientToServerMacAlgorithm
| Client to server message authentication code algorithm used in the session (RFC 4253).
std::string | serverToClientMacAlgorithm
| Server to client message authentication code algorithm used in the session (RFC 4253).
std::string | clientToServerCompressionAlgorithm
| Client to server compression algorithm used in the session (RFC 4253).
std::string | serverToClientCompressionAlgorithm
| Server to client compression algorithm used in the session (RFC 4253).

## Detailed Description

Structure containing information about an active SFTP session.

Definition at line 304 of file Sftp.hpp.

## Member Data Documentation

## ◆ clientToServerCompressionAlgorithm

std::string sf::Sftp::SessionInfo::clientToServerCompressionAlgorithm

Client to server compression algorithm used in the session (RFC 4253).

Definition at line 336 of file Sftp.hpp.

## ◆ clientToServerEncryptionAlgorithm

std::string sf::Sftp::SessionInfo::clientToServerEncryptionAlgorithm

Client to server encryption algorithm used in the session (RFC 4253).

Definition at line 332 of file Sftp.hpp.

## ◆ clientToServerMacAlgorithm

std::string sf::Sftp::SessionInfo::clientToServerMacAlgorithm

Client to server message authentication code algorithm used in the session (RFC 4253).

Definition at line 334 of file Sftp.hpp.

## ◆ hostKey

HostKey sf::Sftp::SessionInfo::hostKey

Host key.

Definition at line 329 of file Sftp.hpp.

## ◆ hostKeyAlgorithm

std::string sf::Sftp::SessionInfo::hostKeyAlgorithm

Host key algorithm used in the session (RFC 4253).

Definition at line 331 of file Sftp.hpp.

## ◆ keyExchangeAlgorithm

std::string sf::Sftp::SessionInfo::keyExchangeAlgorithm

Key exchange algorithm used in the session (RFC 4253).

Definition at line 330 of file Sftp.hpp.

## ◆ serverToClientCompressionAlgorithm

std::string sf::Sftp::SessionInfo::serverToClientCompressionAlgorithm

Server to client compression algorithm used in the session (RFC 4253).

Definition at line 337 of file Sftp.hpp.

## ◆ serverToClientEncryptionAlgorithm

std::string sf::Sftp::SessionInfo::serverToClientEncryptionAlgorithm

Server to client encryption algorithm used in the session (RFC 4253).

Definition at line 333 of file Sftp.hpp.

## ◆ serverToClientMacAlgorithm

std::string sf::Sftp::SessionInfo::serverToClientMacAlgorithm

Server to client message authentication code algorithm used in the session (RFC 4253).

Definition at line 335 of file Sftp.hpp.

The documentation for this struct was generated from the following file:

- Sftp.hpp